{
  "compilerOptions": {
    "module": "commonjs",
    "declaration": true,
    "removeComments": true,
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "allowSyntheticDefaultImports": true,
    "target": "ES2021",
    "sourceMap": true,
    "outDir": "./dist",
    "incremental": true,
    "skipLibCheck": true,
    "strictNullChecks": false,
    "noImplicitAny": false,
    "strictBindCallApply": false,
    "forceConsistentCasingInFileNames": false,
    "noFallthroughCasesInSwitch": false,
    "esModuleInterop": true,
    "paths": {
      "configurations": [
        "./src/configurations"
      ],
      "configurations/*": [
        "./src/configurations/*"
      ],
      "guards": [
        "./src/guards"
      ],
      "guards/*": [
        "./src/guards/*"
      ],
      "modules": [
        "./src/modules"
      ],
      "modules/*": [
        "./src/modules/*"
      ],
      "types": [
        "./src/types"
      ],
      "types/*": [
        "./src/types/*"
      ],
      "utils": [
        "./src/utils"
      ],
      "utils/*": [
        "./src/utils/*"
      ],
      "templates/*": [
        "./src/templates/*"
      ],
    }
  }
}